> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT Update Campaign Status

> Pause, resume, or cancel a campaign.

## Update campaign status

`PATCH /api/campaigns/:id/status`

Change the status of an existing campaign.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

### Path parameters

**id** `integer` *required*

Campaign ID.

### Body parameters

**status** `string` *required*

New status. See allowed transitions below.

### Allowed transitions

| Current | New Status |
| - | - |
| `scheduled` | `draft`, `cancelled` |
| `running` | `paused`, `cancelled` |
| `paused` | `running`, `cancelled` |

```bash cURL theme={null}
curl -X PATCH https://zeplo.ai/api/campaigns/1/status \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{ "status": "paused" }'
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "id": 1,
    "status": "paused",
    "updatedAt": "2026-01-15T14:00:00Z"
  }
}
```

***

## Delete campaign

`DELETE /api/campaigns/:id`

```bash cURL theme={null}
curl -X DELETE https://zeplo.ai/api/campaigns/1 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "message": "Campaign deleted successfully"
}
```

> [!WARNING]
>
> Only draft campaigns can be deleted. Running or completed campaigns cannot be removed.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.